GUIRulesReloaded 2.8

Let people show a inventory with the rules, so that they always know the rules.

  1. RydlosCZ
    Tested Minecraft Versions:
    • 1.10
    • 1.11
    Contributors:
    RydlosCZ - MarvanCZ, bram0101
    note.png
    I am not the original developer of the plugin.
    I spoke with the developer of the original plugin.
    I own the rights to continue to develop plugin.
    The original developer, this plugin does not want to develop.


    Original Plugin: https://www.spigotmc.org/resources/gui-rules.5496/
    Original Developer: bram0101


    This plugin will show on the first join a GUI with all the rules (if it fits) and a agree and disagree button. This will make sure that your players know the rules so that they don't have the excuse of that they didn't know that that rule exists.

    Howtoinstall.png
    1. Put the jar file into your plugins folder.
    2. Launch the server and stop the server.
    3. Edit the config


    screenshot.png

    3c99c5b9a54e47a109e07cbb59d900be74136e5f.png

    config.png
    Please note that character as '[' and ']' can't be used in names, because of bukkit thinking it's a list.
    And don't forget to update the rows to (highest slot / 9)

    Code (Text):

    #
    #   - you can use & in place of ยง  to get color codes

    gui:
      rows: 1
      name: Rules
      '0':
        itemid: 339
        amount: 1
        itemname: Don't swear
        lores:
        - If you swear, you get banned!
        - For ever!
        - And that's really bad!
        enchantments:
        - haste:1
        slot: 0
      '1':
        itemid: 339
        amount: 1
        itemname: Listen to the staff
        lores:
        - It's rude to don't listen to the staff!
        slot: 1
      '2':
        itemid: 339
        amount: 1
        itemname: Don't hack
        lores:
        - If you hack, you just can't play a nice game.
        - You will be banned for ever!
        slot: 2
      '3':
        itemid: 339
        amount: 1
        itemname: Be nice to eachother
        lores:
        - If you are nice to others, they will be nice to you.
        - If you aren't nice to others, you will be kicked/banned
        slot: 3
      agree:
        itemid: 133
        amount: 1
        itemname: Agree
        lores:
        - You agree with that you read all the rules,
        - and that you will follow the rules.
        - If you don't follow the rules, there can happen things!
        slot: 7
      disagree:
        itemid: 152
        itemamount: 1
        itemname: Disagree
        lores:
        - If you don't agree, you will be kicked until you agree.
        slot: 8
    agreecommands:
    - tell %player% Thank you for agreeing the rules, we do this because we want everybody to know the rules and have fun!
    disagreecommands:
    - kick %player% You must agree the rules, to be able to play on this server! we just want that players will have fun :(
    hidePlayer: true
    update: false
     
    other.png
    There are no permissions or commands to this plugin it's all in the config.

    This plugin is also created by just using the api, so as long as the api doesn't change, this plugin should be version independent.

    I also will probably not update this plugin, as this plugin still works.

    Tested on Version 1.10 - 1.11


    superparman1 and shuiqing2046 like this.

Recent Updates

  1. Update on 1.11.2
  2. 2.7
  3. Update on 1.11

Recent Reviews

  1. Player_Schark
    Player_Schark
    1/5,
    Version: 2.8
    Won't work. It won't sync the confg after rl and Restart. And it removes some configs.
  2. mig25_zockt
    mig25_zockt
    5/5,
    Version: 2.8
    This is the best plugin vor server rules i thank you for this good plugin
    MFG
    mig25
  3. Alvise
    Alvise
    1/5,
    Version: 2.8
    We put this plugin in our server, but after 1 hour it was working it started deleting stuff from other plugins, then it broke the server. Not compatible with 1.12 at all, you must write it. Also when we restarted it completely deleted the config. Horrible
  4. shuiqing2046
    shuiqing2046
    3/5,
    Version: 2.8
    Error ....
    Restart the server, you need to re-confirm the rules.
    Can you fix this question?
    Version 1.11.2
  5. LightningLPT
    LightningLPT
    3/5,
    Version: 2.8
    Its a very Cool Idea and Plugin. But i have an issue with the "german language" I´ve write the issue in the disscusion section.
  6. Natto
    Natto
    5/5,
    Version: 2.8
    If this plugin can support for PlaceholderAPI, that will be VERY NICE .
  7. Grandof
    Grandof
    3/5,
    Version: 2.8
    I'm so glad for this plugin but I'm sad to say only can give 3 stars since as it appears the item id's do not support sub id's. I wanted to use 397:2 and it just defaults back to normal. Will give 5 stars if this is added or if it does support but told how to achieve this.